Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Kenichi Handa <[email-masked]>
Date: Fri, 16 Sep 2011 16:26:43 +0900

In article <[email-masked]>, Jambunathan K <[email-masked]> writes:

> It would be helpful to include the tables in the order given below. It
> would be highly desirable that they are enumerated NOT in the unicode
> order but in their natural order (i.e., the order in which we are taught
> to recite these alphabets in our schools)

Thank you for the detail.  I'll work on it.

> + Grantha Letters [3]

>   This table will contain the remaining 5 consonants + one compound
>   alphabet designated with input method 'x'.

>   - I see the letter 0BB6 as a rectangle. Not sure whether this is a bug
>     in Emacs or my local installation.

I'm using "Lohit Tamil" font (lohit_ta.ttf), and with it,
that character is correctly displayed.  Which font are you
using for Tamil?

>   - I don't know how to enter the character - described as "common
>     ligature 'Sri' (ஸ்ரீ Śrī)" - As the Wikipedia entry clearly says it is
>     a commonly used character (equivalent to English "Sir/Madam").

You can input it by typing "srii" in tamil-itrans.

> + Digits and Numerics [5]

>   - I find that I am unable to insert the following alphabets with M-x
>     ucs-insert. TAB completion doesn't offer these characters (they are
>     listed in the unicode table though)
>     - TAMIL NUMBER TEN
>     - TAMIL NUMBER ONE HUNDRED
>     - TAMIL NUMBER ONE THOUSAND

Strange, both Emacs 23.3 and the latest trunk version works
well for them.  Which version are you using?

>     Also I find that I am unable to ucs-insert TAMIL DIGIT ZERO. I am
>     not sure whether that is same the regular arabic/english `0'.

I have no problem with inputting it by ucs-insert.  That
character is ௦ (U+0BE6).

> + Tamil Symbols [6] (Tamil Symbols, Currency Symbol and Tamil Symbol)
>   - When I ucs-insert them, I only see rectangular boxes. Not sure
>     whether it is a problem with Emacs distribution or my local
>     installation. Just curious, how can I display these characters
>     within Emacs.

Again, Lohit Tamil font has no problem for them.

> Footnotes:
> [1]  Independent Vowels Table + Aytham (13 items)

> 0B85, அ, a
> 0B86, ஆ, A or aa
> 0B88, ஈ, I or ii
> 0B8A, ஊ, U or uu
> 0B99, ங, N^a or ~Na
> 0B9E, ஞ, JNa or ~na
> 0BB5, வ, wa or va
> 0BB3, ள, La or lda

Within 2D table, I think we can show just one key
sequence.  Which is more common/convenient; A or aa, I or ii, ...?

> 0BB4, ழ,

It seems that the above character can't be input with
tamil-itrans.  What key is usually used for that character?

---
Kenichi Handa
[email-masked]